GDBserver

Public Attributes | List of all members
mips32_watch_regs Struct Reference

`#include "mips-linux-watch.h"`

## Public Attributes
uint32_t | watchlo [MAX_DEBUG_REGISTER]
uint16_t | watchhi [MAX_DEBUG_REGISTER]
uint16_t | watch_masks [MAX_DEBUG_REGISTER]
uint32_t | num_valid

## Detailed Description

Definition at line 40 of file mips-linux-watch.h.

## Member Data Documentation

## ◆ num_valid

uint32_t mips32_watch_regs::num_valid

Definition at line 53 of file mips-linux-watch.h.

Referenced by mips_linux_read_watch_registers(), and mips_linux_watch_get_num_valid().

## ◆ watch_masks

uint16_t mips32_watch_regs::watch_masks[MAX_DEBUG_REGISTER]

Definition at line 51 of file mips-linux-watch.h.

Referenced by get_reg_mask(), and mips_linux_watch_get_irw_mask().

## ◆ watchhi

uint16_t mips32_watch_regs::watchhi[MAX_DEBUG_REGISTER]

Definition at line 44 of file mips-linux-watch.h.

Referenced by mips_linux_watch_get_watchhi(), and mips_linux_watch_set_watchhi().

## ◆ watchlo

uint32_t mips32_watch_regs::watchlo[MAX_DEBUG_REGISTER]

Definition at line 42 of file mips-linux-watch.h.

Referenced by mips_linux_watch_get_watchlo(), and mips_linux_watch_set_watchlo().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nat/mips-linux-watch.h